Pay Invoice
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1000,
"currency": "KES",
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"mobileMoney": {
"accountName": "John Doe",
"phoneNumber": "+254712345678",
"providerNetwork": "MTN"
}
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/pay"
payload = {
"amount": 1000,
"currency": "KES",
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"mobileMoney": {
"accountName": "John Doe",
"phoneNumber": "+254712345678",
"providerNetwork": "MTN"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 1000,
currency: 'KES',
referenceId: '1e476673-0931-4eba-8373-37b368ce59f7',
mobileMoney: {accountName: 'John Doe', phoneNumber: '+254712345678', providerNetwork: 'MTN'}
})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/cross-boarder/invoice/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Invoice successfully retrieved",
"data": {
"invoice": {
"amount": 1000,
"currency": "KES",
"status": "PENDING"
},
"currency": "KES",
"amount": 1000,
"referenceId": "1e476673-0931-4eba-8373-37b368ce59f7",
"status": "PENDING"
}
}{
"success": false,
"message": "Bad Request",
"data": {}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Cross-Border Payments
Pay Invoice
Pay Invoice
POST
/
api
/
v3
/
cross-boarder
/
invoice
/
pay
Pay Invoice
Pay an invoice for cross-border payments.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The amount of the invoice
Example:
1000
The currency of the invoice
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"KES"
The reference id of the invoice
Example:
"1e476673-0931-4eba-8373-37b368ce59f7"
The mobile money details of the invoice
Show child attributes
Show child attributes
Example:
{
"accountName": "John Doe",
"phoneNumber": "+254712345678",
"providerNetwork": "MTN"
}
⌘I